Whamcloud - gitweb
LU-4052 build: simplify autogen.sh 40/7840/4
authorChristopher J. Morrone <morrone2@llnl.gov>
Wed, 2 Oct 2013 23:14:03 +0000 (16:14 -0700)
committerOleg Drokin <oleg.drokin@intel.com>
Fri, 25 Oct 2013 02:52:22 +0000 (02:52 +0000)
The concept of conditional subdirectories dates back to the days
when we had Lustre spread across multiple CVS repositories.  For
years now we have used git, and the tree is entirely available
at all times.

Therefore we can simplify autogen.sh a bit more.

Change-Id: I3d7c8e5e93b57c492bb61554a546ceb6d90b2ffe
Signed-off-by: Christopher J. Morrone <morrone2@llnl.gov>
Reviewed-on: http://review.whamcloud.com/7840
Tested-by: Hudson
Reviewed-by: Dmitry Eremin <dmitry.eremin@intel.com>
Reviewed-by: Minh Diep <minh.diep@intel.com>
Tested-by: Maloo <whamcloud.maloo@gmail.com>
Reviewed-by: Oleg Drokin <oleg.drokin@intel.com>
autogen.sh

index 6edec5b..215f339 100644 (file)
@@ -2,54 +2,17 @@
 
 # NOTE: Please avoid bashisms (bash specific syntax) in this script
 
-# die a horrible death.  All output goes to stderr.
-#
-die()
-{
-       echo "bootstrap failure:  $*"
-       echo Aborting
-       exit 1
-} 1>&2
-
-run_cmd()
-{
-       echo -n "Running $*"
-       eval "$@" || die "command exited with code $?"
-       echo
-}
-
-echo "Checking for a complete tree..."
-REQUIRED_DIRS="libcfs lnet lustre"
-OPTIONAL_DIRS="snmp portals"
-CONFIGURE_DIRS="libsysio"
-
-for dir in $REQUIRED_DIRS ; do
-       test -d "$dir" || \
-               die "Your tree seems to be missing $dir.
-Please read README.lustrecvs for details."
+set -e
 
+for dir in libcfs lnet lustre snmp ; do
        ACLOCAL_FLAGS="$ACLOCAL_FLAGS -I $PWD/$dir/autoconf"
 done
-# optional directories for Lustre
-for dir in $OPTIONAL_DIRS; do
-       if [ -d "$dir" ] ; then
-               ACLOCAL_FLAGS="$ACLOCAL_FLAGS -I $PWD/$dir/autoconf"
-       fi
-done
-
-PWD_SAVE=$PWD
 
-run_cmd "aclocal -I $PWD/config $ACLOCAL_FLAGS"
-run_cmd "autoheader"
-run_cmd "automake -a -c"
-run_cmd autoconf
+aclocal -I $PWD/config $ACLOCAL_FLAGS
+autoheader
+automake -a -c
+autoconf
 
-# bootstrap in these directories
-for dir in $CONFIGURE_DIRS; do
-       if [ -d $dir ] ; then
-               cd $dir
-               echo "bootstrapping in $dir..."
-               run_cmd "sh autogen.sh"
-       fi
-       cd $PWD_SAVE
-done
+cd libsysio
+echo "bootstrapping in libsysio..."
+sh autogen.sh